> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Push Test

> Poll a queued test and inspect provider and client events.



## OpenAPI

````yaml api-reference/openapi.json GET /push/test-notifications/{id}
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /push/test-notifications/{id}:
    get:
      summary: Retrieve a push test trace
      description: Poll a queued test and inspect provider and client events.
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Push test trace returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PushTestResponse'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    PushTestResponse:
      type: object
      required:
        - status
        - data
      properties:
        status:
          type: integer
          description: HTTP response status code
        data:
          $ref: '#/components/schemas/PushTest'
    PushTest:
      type: object
      required:
        - id
        - status
        - source_campaign_id
        - notifications
        - created_at
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
        source_campaign_id:
          type: string
          format: uuid
          nullable: true
        notifications:
          type: array
          items:
            $ref: '#/components/schemas/PushTestNotificationTrace'
        created_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              $ref: '#/components/schemas/JsonValue'
            issues:
              type: array
              items:
                $ref: '#/components/schemas/ValidationIssue'
    PushTestNotificationTrace:
      allOf:
        - $ref: '#/components/schemas/PushNotificationDelivery'
        - type: object
          required:
            - events
          properties:
            events:
              type: array
              items:
                $ref: '#/components/schemas/PushDeliveryEvent'
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
    ValidationIssue:
      type: object
      required:
        - code
        - path
        - message
      properties:
        code:
          type: string
        path:
          type: string
          nullable: true
        message:
          type: string
    PushNotificationDelivery:
      type: object
      required:
        - id
        - app_id
        - broadcast_id
        - source
        - title
        - body
        - platform
        - environment
        - status
        - last_event
        - provider_message_id
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        app_id:
          type: string
          nullable: true
        broadcast_id:
          type: string
          format: uuid
          nullable: true
        source:
          type: string
        title:
          type: string
        body:
          type: string
        platform:
          type: string
        environment:
          type: string
        status:
          type: string
        last_event:
          type: string
        provider_message_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    PushDeliveryEvent:
      type: object
      required:
        - id
        - type
        - device_id
        - provider
        - external_user_id
        - created_at
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
        device_id:
          type: string
          nullable: true
        provider:
          type: string
          nullable: true
        external_user_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````